[package]
name = "beamer"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
cortex-m = { version = "0.7.7", features = ["critical-section-single-core"] }
cortex-m-rt = "0.7.3"
defmt = "0.3.8"
defmt-rtt = "0.4.1"
embassy-executor = { version = "0.6.0", features = ["task-arena-size-32768", "arch-cortex-m", "executor-thread", "defmt", "integrated-timers"] }
embassy-net = { version = "0.4.0", features = ["defmt", "tcp", "udp", "dhcpv4", "medium-ethernet"] }
embassy-stm32 = { version = "0.1.0", features = ["defmt", "stm32f746zg", "memory-x", "unstable-pac", "time-driver-any", "exti"] }
embassy-sync = { version = "0.6.0", features = ["defmt"] }
embassy-time = { version = "0.3.2", features = ["defmt", "defmt-timestamp-uptime", "tick-hz-32_768"] }
embassy-futures = { version = "0.1.1" }
embedded-io-async = "0.6.1"
panic-halt = "0.2.0"
panic-probe = { version = "0.3.2", features = ["print-defmt"] }
rand_core = "0.6.4"
smoltcp = { git="https://github.com/smoltcp-rs/smoltcp", rev="dd43c8f189178b0ab3bda798ed8578b5b0a6f094", default-features = false, features = [
  "socket",
  "async",
  "proto-ipv4",
] }
static_cell = "2.1.0"

[patch.crates-io]
embassy-executor = { git = "https://github.com/embassy-rs/embassy", rev = "9555259c57a07338792cfe0fdd363a59616a8062" }
embassy-net = { git = "https://github.com/embassy-rs/embassy", rev = "9555259c57a07338792cfe0fdd363a59616a8062" }
embassy-stm32 = { git = "https://github.com/embassy-rs/embassy", rev = "9555259c57a07338792cfe0fdd363a59616a8062" }
embassy-sync = { git = "https://github.com/embassy-rs/embassy", rev = "9555259c57a07338792cfe0fdd363a59616a8062" }
embassy-time = { git = "https://github.com/embassy-rs/embassy", rev = "9555259c57a07338792cfe0fdd363a59616a8062" }
embassy-futures = { git = "https://github.com/embassy-rs/embassy", rev = "9555259c57a07338792cfe0fdd363a59616a8062" }
